Subject: Re: bug#30946: 26.0.90; TRAMP cannot access some files when using hops

From: Phil Sainty <[email-masked]>
Date: Tue, 1 Jan 2019 10:48:29 +1300

Hi Michael,

On 1/01/19 3:13 AM, Michael Albinus wrote:
> I've pushed a fix for this to the master branch; could you pls check?

Yes, the tramp master branch works nicely!

http://git.savannah.gnu.org/cgit/tramp.git/commit/?id=1dbd930da8 does
make me wonder whether it would be good for tramp-user-error to check
whether saved-tdpa is bound, and handle the rollback itself, so the
code which sets the error doesn't need to?

I assume there are other error cases where the rollback doesn't happen
and doesn't *need* to happen; but if it's harmless to do so (which I
have no idea about), then "roll back any new proxies in the face of an
error" might well be a sane behaviour, and might possibly prevent
undesirable proxies being added in other situations (speculating).

I'm re-closing this bug in any case.  Thank you for fixing this.

-Phil